/* Settings */
@import url("settings.css");

/* Generic */
@import url("reset.css");

/* Elements */
:root {
  scroll-behavior: smooth;
  --header-height: 96px;
}

body {
  font-family: var(--family-body);
  line-height: 1.6;
  min-height: 100vh;
}

[id] {
  scroll-margin-top: 96px;
}

/* Objects */
.container {
  max-width: 1280px;
  margin-inline: auto;
  padding-inline: 1rem;
}

@media (min-width: 40rem) {
  .container {
    padding-inline: 2rem;
  }
}

@media (min-width: 64rem) {
  .container {
    padding-inline: 4rem;
  }
}

.section {
  padding-block: 4rem;
}

/* Components */
.header {
  height: var(----header-height);
  position: sticky;
  z-index: 1;
  top: 0;
  width: 100%;
  background-color: #fff;

  & img {
    height: 3rem;
  }

  & .container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 0.875rem;
  }

  & nav {
    display: flex;
    align-items: center;
    font-family: var(--family-heading);
    height: 100%;
  }

  & nav a {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.25rem 0.5rem;
    text-decoration: none;
    border-bottom: 2px solid transparent;
    line-height: 1.2;

    color: var(--gris-11, #5b6359);
    text-align: center;
    font-weight: 500;
    transition: color 200ms, border 200ms;

    &:hover {
      color: var(--gris-12, #1b221a);
      font-weight: 500;
      border-color: var(--verde-7, #aac751);
    }
  }
}

@media (min-width: 40rem) {
  :root {
    --header-height: 80px;
  }
  .header nav {
    font-size: 1rem;
    gap: 0.5rem;
  }

  .header img {
    height: unset;
  }

  .header .container {
    justify-content: flex-start;
    flex-direction: row;
    gap: 1rem;
  }
}

.hero {
  height: calc(100vh - 80px);
  background: linear-gradient(
      0deg,
      rgba(0, 0, 0, 0.2) 0%,
      rgba(0, 0, 0, 0.2) 100%
    ),
    url("images/hero.jpg") lightgray 50% / cover no-repeat;

  .container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;

    color: #fff;
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    font-family: "Plus Jakarta Sans";
    font-weight: 700;
    font-size: clamp(2.25rem, 7vw, 3.75rem);
    line-height: 1.1; /* 4.125rem; 110% */

    p {
      padding-inline: var(--padding-hero);
      transform: translateY(-1.5em);
    }
  }
}

.heading {
  color: var(--verde-11, #607800);
  font-size: 1rem;
  font-weight: 700;
  letter-spacing: 0.125rem;
  text-transform: uppercase;
  margin-bottom: 2rem;
}

@media (min-width: 40rem) {
  h2.heading::before {
    content: "—";
    position: absolute;
    transform: translateX(-120%);
  }
}

.heading--sm {
  margin-bottom: 0.5rem;
}

.lead {
  color: var(--gris-12, #1b221a);
  font-family: "Plus Jakarta Sans";
  font-size: 1.75rem;
  font-style: normal;
  font-weight: 700;
  line-height: 140%;
  margin-bottom: 1em;
}

.lead--sm {
  margin-bottom: 0.5rem;
}

.nosotros {
  img {
    aspect-ratio: 16 / 10;
    object-fit: cover;
    margin-block: 2rem;
  }
}

.nosotros__detalles {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

@media (min-width: 40rem) {
  .nosotros {
    img {
      aspect-ratio: 32 / 9;
      margin-block: 3rem;
      margin-inline: auto;
      max-width: 1024px;
      width: 100%;
    }
  }

  .nosotros__detalles {
    flex-direction: row;
    gap: 4rem;
  }

  .nosotros__detalles > * {
    flex-basis: 0;
    flex-grow: 1;
  }
}

.teoria {
  background-color: var(--verde-1, #f9fbf7);
}

.teoria__pasos {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.teoria__paso {
  padding: 2rem;
  border-radius: var(--radius-xl, 12px);
  border: 2px solid var(--verde-8, #91b200);
  background-color: var(--color-base-white, #fff);
}

.teoria__images {
  display: none;
}

@media (min-width: 40rem) {
  .teoria__images {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    flex-grow: 10;
    min-width: 240px;
    flex-basis: 320px;
    max-width: 320px;
  }

  .teoria__images img:nth-child(odd) {
    transform: rotate(2deg);
  }

  .teoria__images img:nth-child(even) {
    transform: rotate(-2deg);
  }

  .teoria__images img {
    box-shadow: 4px 4px 8px 0px rgba(0, 0, 0, 0.25);
  }

  .teoria__container {
    display: flex;
    align-items: flex-start;
    gap: 4rem;
  }

  .teoria__paso {
    /* min-width: var(--width-sm, 384px); */
    flex-grow: 1;
    max-width: 768px;
  }
}

.equipo__container {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.equipo__miembro {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;

  hr {
    border: none;
    border-top: 2px solid #adca54;
  }

  img {
    max-width: 360px;
    width: 100%;
    margin-inline: auto;
  }
}

@media (min-width: 40rem) {
  .equipo__container {
    flex-direction: row;
    gap: 2rem;

    & > * {
      flex-basis: 0;
      flex-grow: 1;
    }
  }
}

.footer {
  padding-block: 2rem;
  background-color: var(--gris-12, #1b221a);
}

.footer .container {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  gap: 1rem;
}

.footer__logo {
  max-height: 80px;
}

.socials {
  display: flex;
  gap: 2rem;
  align-items: center;
  justify-content: center;
}

@media (min-width: 40rem) {
  .footer .container {
    flex-direction: row;
    justify-content: space-between;
  }
}

.propuesta__titulo {
  font-size: 1rem;
  font-weight: 700;
  letter-spacing: 0.125rem;
  text-transform: uppercase;
}

.propuesta img {
  margin-block: 2rem;
  margin-inline: auto;
  max-width: 640px;
  width: 100%;
}

.propuesta__container {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  overflow: auto;
}

.propuesta__etapa {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 2rem;

  border-radius: 0.75rem;
  border: 2px solid;

  ul {
    padding-left: 1em;
  }
}

.propuesta__etapa--naranja {
  border-color: hsla(43, 100%, 47%, 1);
  background-color: hsla(43, 100%, 47%, 0.05);

  & .propuesta__titulo {
    color: hsla(43, 100%, 47%, 1);
  }
}

.propuesta__etapa--verde {
  border-color: hsla(75, 53%, 56%, 1);
  background-color: hsla(75, 53%, 56%, 0.05);

  & .propuesta__titulo {
    color: hsla(75, 53%, 56%, 1);
  }
}

.propuesta__etapa--coral {
  border-color: hsla(8, 78%, 70%, 1);
  background-color: hsla(8, 78%, 70%, 0.05);

  & .propuesta__titulo {
    color: hsla(8, 78%, 70%, 1);
  }
}

@media (min-width: 40rem) {
  .propuesta__container {
    flex-direction: row;

    & > * {
      flex-basis: 0;
      flex-grow: 1;
    }
  }
}

.section-divider {
  background-image: url("/images/tile.png");
  width: 100%;
  height: 48px;
  object-position: left;
  background-repeat: round;
  position: absolute;
  transform: translateY(-24px);
}

/* Utilities */
